## ocaml-result 1.4

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

default:
	jbuilder build @install

install:
	jbuilder install $(INSTALL_ARGS)

uninstall:
	jbuilder uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

clean:
	jbuilder clean

all-supported-ocaml-versions:
	jbuilder build --workspace jbuild-workspace.dev

.PHONY: default install uninstall reinstall clean all-supported-ocaml-versions

## ocaml-result 1.2

=== debian/changelog ===
ocaml-result (1.2-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:03:51 +0200

ocaml-result (1.2-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:43 +0100

ocaml-result (1.2-1) unstable; urgency=low

  * Initial release (Closes: #833353)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 14:35:56 +0200

=== debian/control ===
Source: ocaml-result
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib,
 dh-ocaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-result.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-result.git
Homepage: https://github.com/janestreet/result

Package: libresult-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: compatibility Result module (dev files)
 Projects that want to use the new result type defined in OCaml >=
 4.03 while staying compatible with older version of OCaml should use
 the Result module defined in this library.
 .
 This package contains development files.

Package: libresult-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: compatibility Result module (runtime files)
 Projects that want to use the new result type defined in OCaml >=
 4.03 while staying compatible with older version of OCaml should use
 the Result module defined in this library.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = debian/tmp
export OCAMLFIND_DESTDIR = $(DESTDIR)/$(OCAML_STDLIB_DIR)

TARGETS = byte
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
TARGETS += native
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	make $(TARGETS)

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	make install

override_dh_install:
	dh_install --fail-missing

## ocaml-result 1.4

=== debian/changelog ===
ocaml-result (1.4-4build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:57 +0000

ocaml-result (1.4-4) unstable; urgency=high

  * Tighten the dependency to ocaml-dune

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Feb 2020 07:14:50 +0100

ocaml-result (1.4-3) unstable; urgency=medium

  * debian/rules: do not export BUILD_PATH_PREFIX_MAP
  * Build-depend on debhelper-compat and ocaml-dune
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jan 2020 09:06:38 +0100

ocaml-result (1.4-2) unstable; urgency=medium

  * Fix FTBFS with dune 1.11.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 05:30:53 +0200

ocaml-result (1.4-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Jul 2019 10:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  ocaml-nox,
  ocaml-findlib,
+ ocaml-dune (>= 2),
  dh-ocaml
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-result.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-result.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-result
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-result.git
 Homepage: https://github.com/janestreet/result
 
 Package: libresult-ocaml-dev
@@ -22,6 +24,8 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks:
+ ocaml-dune (<< 2)
 Description: compatibility Result module (dev files)
  Projects that want to use the new result type defined in OCaml >=
  4.03 while staying compatible with older version of OCaml should use

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean

override_dh_auto_build:
	dune build --verbose -p result

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f debian/tmp/usr/doc/result/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## ocaml-result 1.5

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

default:
	dune build @install

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

clean:
	dune clean

.PHONY: default install uninstall reinstall clean

=== debian/changelog ===
ocaml-result (1.5-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:21 +0100

ocaml-result (1.5-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:09:02 +0100

ocaml-result (1.5-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 09:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ocaml-result
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune (>= 2),

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f debian/tmp/usr/doc/result/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:
